function comp_start_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

% set(swan,'WindowStyle','modal');
if isfield(handles,'save')==1
if isfield(handles.save,'btmprofile')==1
    if isfield(handles.save,'defcurrent')==1
        if isfield(handles.save,'bndcnd')==1
            if isfield(handles.save,'outputlocation')==1
                xlenc=handles.input.bottomprofile.xlenc;
                handles.figures.input.f5=figure('Name','SwanOne - Computation','Units','Centimeters','Position',...
                   [10 8 8 4],'Menubar','none','Numbertitle','Off','Tag','Start Computation','Color',[0.95 0.95 0.95]);
           % set(handles.swan1d.menu.input.m,'Enable','Off');
           % set(handles.swan1d.menu.file.m,'Enable','Off');
           % set(handles.swan1d.menu.computation.m,'Enable','Off');
%                 winontop(handles.figures.input.f5);
                h1=uibuttongroup('Parent',handles.figures.input.f5,'Units','Centimeters',...
                    'Position',[0.1 0.2 5.4 3.4],'Title','Computational Grid Size','BackGroundColor',[0.95 0.95 0.95]);
                handles.figures.startcomp.uibuttongroup=h1;
                uicontrol('Parent',h1,'Style','text','String','dx(m)',...
                    'Units','Centimeters','Position',[0.7 1.8 0.8 0.6],'BackGroundColor',[0.95 0.95 0.95]);
                uicontrol('Parent',h1,'Style','text','String','Number of Steps',...
                    'Units','Centimeters','Position',[0.7 0.7 2.2 0.6],'BackGroundColor',[0.95 0.95 0.95]);
                handles.figures.startcomp.edit1=uicontrol('Parent',h1,'style','edit',...
                    'Units','Centimeters','Position',[3.3 2 1.7 0.6],'String',xlenc/100,'BackGroundColor','w');
                handles.oldmemory.nofsteps=100;
                handles.oldmemory.dx=xlenc/100;
                handles.figures.startcomp.edit2=uicontrol('Parent',h1,'style','edit','Units',...
                    'Centimeters','Position',[3.3 0.9 1.7 0.6],'String','100','BackGroundColor','w');
                handles.figures.startcomp.pushbutton3=uicontrol('style','pushbutton','Units','centimeters','Position',[5.75 0.6 2 0.7],...
                   'String','Cancel','Callback',@close_comp_start_clbk,'BackGroundColor',[0.95 0.95 0.95]);
                handles.figures.startcomp.pushbutton2=uicontrol('style','pushbutton','Units','centimeters','Position',[5.75 1.5 2 0.7],...
                   'String','Edit','enable','On','Callback',@edit_startcomp_clbk,'BackGroundColor',[0.95 0.95 0.95]);
                handles.figures.startcomp.pushbutton1=uicontrol('style','pushbutton','Units','centimeters','Position',[5.75 2.4 2 0.7],...
                   'String','Start','Callback',@execution_computation_clbk,'BackGroundColor',[0.95 0.95 0.95]);
                set(swan,'Userdata',handles);
            else
                he=figure('Name','Error','Units','Centimeters','Position',...
      [10 8 8 4],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
         winontop(he);
      uicontrol('Parent',he,'Style','text','String','Enter or save the output location to run the computation!',...
          'Units','Centimeters','Position',[1.55 0.6 5 2],'BackGroundColor',[1 0.7 0],'FontWeight','Bold');
      uicontrol('style','pushbutton','Units','centimeters','Position',[2.8 0.6 2.5 0.7],...
    'String','Ok','Callback','close','BackGroundColor',[0.95 0.95 0.95]);
            end
        else
            he=figure('Name','Error','Units','Centimeters','Position',...
      [10 8 8 4],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
         %winontop(he);
      uicontrol('Parent',he,'Style','text','String','Enter or save the boundary condition to run the computation!',...
          'Units','Centimeters','Position',[1.55 0.6 5 2],'BackGroundColor',[1 0.7 0],'FontWeight','Bold');
      uicontrol('style','pushbutton','Units','centimeters','Position',[2.8 0.6 2.5 0.7],...
    'String','Ok','Callback','close','BackGroundColor',[0.95 0.95 0.95]);
        end
    else
        he=figure('Name','Error','Units','Centimeters','Position',...
      [10 8 8 4],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
       %winontop(he)
      uicontrol('Parent',he,'Style','text','String','Enter or save the current defenition to run the computation!',...
          'Units','Centimeters','Position',[1.55 0.6 5 2],'BackGroundColor',[1 0.7 0],'FontWeight','Bold');
      uicontrol('style','pushbutton','Units','centimeters','Position',[2.8 0.6 2.5 0.7],...
    'String','Ok','Callback','close','BackGroundColor',[0.95 0.95 0.95]);
    end
else
    he=figure('Name','Error','Units','Centimeters','Position',...
      [10 8 8 4],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
       winontop(he);
      uicontrol('Parent',he,'Style','text','String','Enter or save the bottom profile to run the computation!',...
          'Units','Centimeters','Position',[1.55 0.6 5 2],'BackGroundColor',[1 0.7 0],'FontWeight','Bold');
      uicontrol('style','pushbutton','Units','centimeters','Position',[2.8 0.6 2.5 0.7],...
    'String','Ok','Callback','close','BackGroundColor',[0.95 0.95 0.95]);
      %set(handles.swan1d.menu.input.m,'Enable','Off');
      %set(handles.swan1d.menu.file.m,'Enable','Off');
      %set(handles.swan1d.menu.computation.m,'Enable','Off');
end
else
    he=figure('Name','Error','Units','Centimeters','Position',...
    [10 8 8 4],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
    winontop(he)
    uicontrol('Parent',he,'Style','text','String','Enter or save the input data to run the computation!',...
    'Units','Centimeters','Position',[1.55 0.8 5 2],'BackGroundColor',[1 0.7 0],'FontWeight','Bold');
    uicontrol('style','pushbutton','Units','centimeters','Position',[2.8 0.6 2.5 0.7],...
    'String','Ok','Callback','close','BackGroundColor',[0.95 0.95 0.95]);
     % set(handles.swan1d.menu.input.m,'Enable','Off');
     % set(handles.swan1d.menu.file.m,'Enable','Off');
     % set(handles.swan1d.menu.computation.m,'Enable','Off');
end

end

