function createfile_openproject_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

% set button active and non-active
set(handles.swan1d.menu.file.m,'Enable','On')
set(handles.swan1d.menu.output.m,'Enable','Off')
set(handles.swan1d.menu.input.m,'Enable','On')

% current directory
currentdirectory_sp=pwd ;

% open recent project
pathname_openproject=get(handles.figures.openproject.edit3,'String') ;  % pathname
handles.saveproject.fullpathname_sp_extension=pathname_openproject ;  % pathname with extension to handle

% read data
matdata = load(handles.saveproject.fullpathname_sp_extension) ;

% go to SwanOne directory
cd(currentdirectory_sp) ;

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

% close figure
close
delete(gcbf);

end
