function createfile_saveproject_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

% current directory
currentdirectory_sp=pwd ;

% pathname and filename extractions
pathname_sp=get(handles.figures.saveproject.edit1,'string');
handles.saveproject.pathname_sp=pathname_sp ; % pathname
filename_sp=get(handles.figures.saveproject.edit2,'string') ;
handles.saveproject.filename_sp=filename_sp ; % filename
fullpathname_sp=fullfile(pathname_sp, filename_sp) ;
handles.saveproject.fullpathname_sp=fullpathname_sp ; % fullpathname without extension
fullpathname_sp_extension=[fullpathname_sp,'.mat'] ;
handles.saveproject.fullpathname_sp_extension=fullpathname_sp_extension ; % fullpathname with extension

% create name of file
handles.saveproject.tmpname = [filename_sp,'.mat'] ; % create full filename

% remove figures to save structure in mat-file
if isfield(handles.figures.saveproject,'f1')==1
handles.figures.saveproject = rmfield(handles.figures.saveproject,'f1');
end

% save object with name (to mat-file)
cd(pathname_sp);
save(fullpathname_sp,'-struct','handles','-v7.3') ; % hgsave(handles,'filename_sp')

% go to SwanOne directory
cd(currentdirectory_sp) ;

% Set handles to 'Userdata' property
set(swan,'UserData',handles)

% close figure
close
delete(gcbf);

end
