function new_clbk_str(varargin)

% creating new project

% find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

% identify handles structure
if isfield(handles,'input')==1
    handles.previousproject.filename=handles.input.newproject.filename;
    handles.input=0;
end

% create new figure/window
handles.figures.newproject.f2=figure('Name','SwanOne - New Project','Units','Centimeters',...
    'Position',[10 8 19 3.3],'Menubar','none','Numbertitle','off','Tag','New Project','Color',[0.95 0.95 0.95],'CloseRequestFcn',@close_new_clbk);
%winontop(handles.figures.newproject.f2)

%% 'Type' field

% box 'Type' surrounded by a single line
%h1 = uibuttongroup('Parent',handles.figures.newproject.f2,'Units','Centimeters',...
    %'Position',[0.35 6.3 9 1.5],'visible','on','Title','Type',...
    %'SelectionChangeFcn',@new_uibuttongroup1_selectionchangefcn,'BackGroundColor',[0.95 0.95 0.95]);
%handles.figures.newproject.uibuttongroup1=h1;

% 'Use Default Values' radio button (enabled)
%handles.figures.newproject.radio1=uicontrol('Parent',h1,'Style','Radio','Units','Centimeters',...
    %'Position',[0.1 0.55 3 0.5],'String','Use Default Values','BackGroundColor',[0.95 0.95 0.95]);

% 'Use Existing SWAN File' radio button (disabled)
%handles.figures.newproject.radio2=uicontrol('Parent',h1,'Style','Radio','Units','Centimeters',...
    %'Position',[0.1 0.05 4 0.5],'String','Use Existing SWAN File','Enable','Off','BackGroundColor',[0.95 0.95 0.95]);

%% 'New Project' field

% 'New Project' box surrounded by a single line
h2 = uibuttongroup('Parent',handles.figures.newproject.f2,...
    'Units','Centimeters','Position',[0.35 0.5 16 2.5],'visible','On','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.newproject.uibuttongroup2=h2;

% 'Folder Name' textbox and text
handles.figures.newproject.edit1=uicontrol('Parent',h2,'style','edit','Units','Centimeters','Position',[3.25 1.3 10 0.6],'BackGroundColor','w');
set(handles.figures.newproject.edit1,'String',pwd);
text1=uicontrol('Parent',h2,'Style','text','String','Folder Name','Units',...
    'Centimeters','Position',[0.5 1.15 2 0.6],'BackGroundColor',[0.95 0.95 0.95],'HorizontalAlignment','left');

% 'Project Name' textbox and text
handles.figures.newproject.edit2=uicontrol('Parent',h2,'style','edit','Units','Centimeters','Position',[3.25 0.3 5 0.6],'BackGroundColor','w');
set(handles.figures.newproject.edit2,'String','project_001');
text2=uicontrol('Parent',h2,'Style','text','String','Project Name',...
    'Units','Centimeters','Position',[0.5 0.2 2 0.6],'BackGroundColor',[0.95 0.95 0.95],'HorizontalAlignment', 'left');

% 'Browse' button
handles.figures.newproject.pushbutton1=uicontrol(h2,...
    'style','pushbutton','Units','centimeters','Position',[14 1.3 1.5 0.6],...
    'String','Browse','Callback',@browse_new_clbk,'BackGroundColor',[0.95 0.95 0.95]);

%% 'Existing Swan File' field

% box 'Existing SWAN File' surrounded by a single line
%h3 = uibuttongroup('Parent',handles.figures.newproject.f2,...
    %'Units','Centimeters','Position',[0.35 0.5 9 2.5],'visible','On','Title','Existing SWAN File','BackGroundColor',[0.95 0.95 0.95]);
%handles.figures.newproject.uibuttongroup3=h3;

% 'Folder Name' textbox and text
%handles.figures.newproject.edit3=uicontrol('Parent',h3,'style','edit','Units','Centimeters','Position',[2.2 1.3 6.2 0.6],'Enable','Off');
%set(handles.figures.newproject.edit3,'String',cd);
%text3=uicontrol('Parent',h3,'Style','text','String','Folder Name','Units',...
    %'Centimeters','Position',[0.2 1.15 1.6 0.6],'BackGroundColor',[0.95 0.95 0.95]);

% 'Project Name' textbox and text
%handles.figures.newproject.edit4=uicontrol('Parent',h3,'style','edit','Units','Centimeters','Position',[2.2 0.3 6.2 0.6],'Enable','Off');
%text4=uicontrol('Parent',h3,'Style','text','String','File Name',...
    %'Units','Centimeters','Position',[0.2 0.2 1.6 0.6],'BackGroundColor',[0.95 0.95 0.95]);

%% Other buttons

% 'Cancel' button
handles.figures.newproject.pushbutton2=uicontrol(handles.figures.newproject.f2,...
    'style','pushbutton','Units','centimeters','Position',[17 0.5 1.5 0.7],...
    'String','Cancel','Callback',@close_new_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% 'OK' button
handles.figures.newproject.pushbutton3=uicontrol(handles.figures.newproject.f2,...
    'style','pushbutton','Units','centimeters','Position',[17 1.3 1.5 0.7],...
    'String','OK','CallBack',@createfile_newproject_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

%create_file_clbk=['get(handles.figures.newproject.edit1,''String'');'];
%set(handles.figures.newproject.pushbutton2,'Callback',create_file_clbk)
%get(handles.figures.newproject.f2,'UserData')



