function open_clbk_str(varargin)

% Creating new project

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

% Identify handles structure
% if isfield(handles,'input')==1
%    handles.previousproject.filename=handles.input.openproject.filename;
%    handles.input=0;
% end

% Create new figure/window
handles.figures.openproject.f2=figure('Name','SwanOne - Open Project','Units','Centimeters',...
    'Position',[10 8 12 2.5],'Menubar','none','Numbertitle','off','Tag','Open Project','Color',[0.95 0.95 0.95],'CloseRequestFcn',@close_open_clbk);
%winontop(handles.figures.newproject.f2)

% Disable 'File' button
set(handles.swan1d.menu.file.m,'Enable','Off')

%% 'Type' field

% box 'Type' surrounded by a single line
%h1 = uibuttongroup('Parent',handles.figures.newproject.f2,'Units','Centimeters',...
    %'Position',[0.35 6.3 9 1.5],'visible','on','Title','Type',...
    %'SelectionChangeFcn',@new_uibuttongroup1_selectionchangefcn,'BackGroundColor',[0.95 0.95 0.95]);
%handles.figures.newproject.uibuttongroup1=h1;

% 'Use Default Values' radio button (enabled)
%handles.figures.newproject.radio1=uicontrol('Parent',h1,'Style','Radio','Units','Centimeters',...
    %'Position',[0.1 0.55 3 0.5],'String','Use Default Values','BackGroundColor',[0.95 0.95 0.95]);

% 'Use Existing SWAN File' radio button (disabled)
%handles.figures.newproject.radio2=uicontrol('Parent',h1,'Style','Radio','Units','Centimeters',...
    %'Position',[0.1 0.05 4 0.5],'String','Use Existing SWAN File','Enable','Off','BackGroundColor',[0.95 0.95 0.95]);

%% 'New Project' field

% box 'New Project' surrounded by a single line
%h2 = uibuttongroup('Parent',handles.figures.newproject.f2,...
    %'Units','Centimeters','Position',[0.35 3.4 9 2.5],'visible','On','Title','New Project','BackGroundColor',[0.95 0.95 0.95]);
%handles.figures.newproject.uibuttongroup2=h2;

% 'Folder Name' textbox and text
%handles.figures.newproject.edit1=uicontrol('Parent',h2,'style','edit','Units','Centimeters','Position',[2.25 1.3 6.15 0.6],'BackGroundColor','w');
%set(handles.figures.newproject.edit1,'String',cd);
%text1=uicontrol('Parent',h2,'Style','text','String','Folder Name','Units',...
    %'Centimeters','Position',[0.2 1.15 1.6 0.6],'BackGroundColor',[0.95 0.95 0.95]);

% 'Project Name' textbox and text
%handles.figures.newproject.edit2=uicontrol('Parent',h2,'style','edit','Units','Centimeters','Position',[2.25 0.3 3 0.6],'BackGroundColor','w');
%text2=uicontrol('Parent',h2,'Style','text','String','Project Name',...
    %'Units','Centimeters','Position',[0.2 0.2 1.7 0.6],'BackGroundColor',[0.95 0.95 0.95]);
%handles.figures.newproject.pushbutton1=uicontrol(h2,...
    %'style','pushbutton','Units','centimeters','Position',[6.95 0.3 1.5 0.7],...
    %'String','Browse','Callback',@browse_new_clbk,'BackGroundColor',[0.95 0.95 0.95]);

%% 'Existing Swan File' field

% box 'Existing SWAN File' surrounded by a single line
h3 = uibuttongroup('Parent',handles.figures.openproject.f2,...
    'Units','Centimeters','Position',[0.35 0.5 9 1.5],'visible','On','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.openproject.uibuttongroup3=h3;

% 'Folder Name' textbox and text
handles.figures.openproject.edit3=uicontrol('Parent',h3,'style','edit','Units','Centimeters','Position',[2.25 0.4 4.5 0.6],'Enable','On','BackGroundColor','w');
set(handles.figures.openproject.edit3,'String',cd);
text3=uicontrol('Parent',h3,'Style','text','String','Path Name','Units',...
    'Centimeters','Position',[0.2 0.35 1.6 0.6],'BackGroundColor',[0.95 0.95 0.95]);

% 'Project Name' textbox and text
%handles.figures.openproject.edit4=uicontrol('Parent',h3,'style','edit','Units','Centimeters','Position',[2.25 0.3 4.5 0.6],'Enable','On','BackGroundColor','w');
%text4=uicontrol('Parent',h3,'Style','text','String','File Name',...
%    'Units','Centimeters','Position',[0.2 0.2 1.7 0.6],'BackGroundColor',[0.95 0.95 0.95]);

% 'Browse' button
handles.figures.openproject.pushbutton1=uicontrol(h3,...
    'style','pushbutton','Units','centimeters','Position',[6.95 0.4 1.5 0.6],...
    'String','Browse','Callback',@browse_open_clbk,'BackGroundColor',[0.95 0.95 0.95]);

%% Other buttons

% 'Cancel' button
handles.figures.openproject.pushbutton2=uicontrol(handles.figures.openproject.f2,...
    'style','pushbutton','Units','centimeters','Position',[10 0.5 1.5 0.7],...
    'String','Cancel','Callback',@close_open_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% 'OK' button
handles.figures.openproject.pushbutton3=uicontrol(handles.figures.openproject.f2,...
    'style','pushbutton','Units','centimeters','Position',[10 1.3 1.5 0.7],...
    'String','OK','CallBack',@createfile_openproject_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% remove figures to save structure in mat-file
handles.figures.openproject = rmfield(handles.figures.openproject,'f2');

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

%create_file_clbk=['get(handles.figures.newproject.edit1,''String'');'];
%set(handles.figures.newproject.pushbutton2,'Callback',create_file_clbk)
%get(handles.figures.newproject.f2,'UserData')



