function output_rayplot_options_done_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

ylim=zeros(1,2);
xlim=zeros(1,2);
gridline=1;
error=0;

if get(handles.figures.output.rayplots.options.checkbox,'Value')==0
    gridline=0;
end

%% in case of 1 graph
if handles.input.output.rayplots.defgraph.numofaxes==1
    ylim(1)=str2num(get(handles.figures.output.rayplots.options.edit(3),'String'));
    ylim(2)=str2num(get(handles.figures.output.rayplots.options.edit(4),'String'));
    if ylim(1)>=ylim(2)
        he=figure('Name','Error','Units','Centimeters','Position',...
      [10 8 8 4],'Menubar','none','Numbertitle','Off','Color',[0.95 0.95 0.95]);
    winontop(he);
    uicontrol('Parent',he,'Style','text','String','Upper Bound should be smaller than the Lower Bound',...
        'Units','Centimeters','Position',[1 1 6 2],'FontSize',10,'FontWeight','bold');
    uicontrol('Parent',he,'Style','pushbutton','String','Ok','Units','Centimeters','Position',[3.1 1 2 0.7],'Callback','Close');
    error=1;
    end
    xlim(1)=str2num(get(handles.figures.output.rayplots.options.edit(1),'String'));
    xlim(2)=str2num(get(handles.figures.output.rayplots.options.edit(2),'String'));
       if xlim(1)>=xlim(2)
        he=figure('Name','Error','Units','Centimeters','Position',...
      [10 8 8 4],'Menubar','none','Numbertitle','Off','Color',[0.95 0.95 0.95]);
    winontop(he);
    uicontrol('Parent',he,'Style','text','String','Upper Bound should be smaller than the Lower Bound!',...
        'Units','Centimeters','Position',[1 1 6 2],'FontSize',10,'FontWeight','bold');
    uicontrol('Parent',he,'Style','pushbutton','String','Ok','Units','Centimeters','Position',[3.1 1 2 0.7],'Callback','Close');
    error=1;
       end
    if error==0
    set(handles.figures.output.rayplots.defgraph.axes(1),'Ylim',ylim);   
    set(handles.figures.output.rayplots.defgraph.axes(1),'Xlim',xlim);
    if gridline==0
        set(handles.figures.output.rayplots.defgraph.axes(1),'GridLineStyle','none')
    end
    if gridline==1
        set(handles.figures.output.rayplots.defgraph.axes(1),'XGrid','on','YGrid','On')        
    end
    end
end

%% in case of 2 graphs
if handles.input.output.rayplots.defgraph.numofaxes==2
    for i=1:2
        ylim(1)=str2num(get(handles.figures.output.rayplots.options.edit(2*i+1),'String'));
        ylim(2)=str2num(get(handles.figures.output.rayplots.options.edit(2*i+2),'String'));
        if ylim(1)>=ylim(2)
            he=figure('Name','Error','Units','Centimeters','Position',...
                [10 8 8 4],'Menubar','none','Numbertitle','Off','Color',[0.95 0.95 0.95]);
            winontop(he);
            uicontrol('Parent',he,'Style','text','String','Upper Bound should be smaller than the Lower Bound',...
                'Units','Centimeters','Position',[1 1 6 2],'FontSize',10,'FontWeight','bold');
            uicontrol('Parent',he,'Style','pushbutton','String','Ok','Units','Centimeters','Position',[3.1 1 2 0.7],'Callback','Close');
            error=1;
        end
        xlim(1)=str2num(get(handles.figures.output.rayplots.options.edit(1),'String'));
        xlim(2)=str2num(get(handles.figures.output.rayplots.options.edit(2),'String'));
        if xlim(1)>=xlim(2)
            he=figure('Name','Error','Units','Centimeters','Position',...
                [10 8 8 4],'Menubar','none','Numbertitle','Off','Color',[0.95 0.95 0.95]);
            winontop(he);
            uicontrol('Parent',he,'Style','text','String','Upper Bound should be smaller than the Lower Bound!',...
                'Units','Centimeters','Position',[1 1 6 2],'FontSize',10,'FontWeight','bold');
            uicontrol('Parent',he,'Style','pushbutton','String','Ok','Units','Centimeters','Position',[3.1 1 2 0.7],'Callback','Close');
            error=1;
        end         
        if error==0
        set(handles.figures.output.rayplots.defgraph.axes(i),'Ylim',ylim);
        set(handles.figures.output.rayplots.defgraph.axes(i),'Xlim',xlim);
        if gridline==0
            set(handles.figures.output.rayplots.defgraph.axes(i),'GridLineStyle','none')
        else
            set(handles.figures.output.rayplots.defgraph.axes(i),'XGrid','on','YGrid','On')
        end
        end
    end
end

%% in case of 3 graphs
if handles.input.output.rayplots.defgraph.numofaxes==3
    for i=1:3
        ylim(1)=str2num(get(handles.figures.output.rayplots.options.edit(2*i+1),'String'));
        ylim(2)=str2num(get(handles.figures.output.rayplots.options.edit(2*i+2),'String'));
        if ylim(1)>=ylim(2)
            he=figure('Name','Error','Units','Centimeters','Position',...
                [10 8 8 4],'Menubar','none','Numbertitle','Off','Color',[0.95 0.95 0.95]);
            winontop(he);
            uicontrol('Parent',he,'Style','text','String','Upper Bound should be smaller than the Lower Bound',...
                'Units','Centimeters','Position',[1 1 6 2],'FontSize',10,'FontWeight','bold');
            uicontrol('Parent',he,'Style','pushbutton','String','Ok','Units','Centimeters','Position',[3.1 1 2 0.7],'Callback','Close');
            error=1;
        end
        xlim(1)=str2num(get(handles.figures.output.rayplots.options.edit(1),'String'));
        xlim(2)=str2num(get(handles.figures.output.rayplots.options.edit(2),'String'));
        if xlim(1)>=xlim(2)
            he=figure('Name','Error','Units','Centimeters','Position',...
                [10 8 8 4],'Menubar','none','Numbertitle','Off','Color',[0.95 0.95 0.95]);
            winontop(he);
            uicontrol('Parent',he,'Style','text','String','Upper Bound should be smaller than the Lower Bound!',...
                'Units','Centimeters','Position',[1 1 6 2],'FontSize',10,'FontWeight','bold');
            uicontrol('Parent',he,'Style','pushbutton','String','Ok','Units','Centimeters','Position',[3.1 1 2 0.7],'Callback','Close');
            error=1;
        end         
        if error==0
        set(handles.figures.output.rayplots.defgraph.axes(i),'Ylim',ylim);
        set(handles.figures.output.rayplots.defgraph.axes(i),'Xlim',xlim);
        if gridline==0
            set(handles.figures.output.rayplots.defgraph.axes(i),'GridLineStyle','none')
        else
            set(handles.figures.output.rayplots.defgraph.axes(i),'XGrid','on','YGrid','On')
        end
        end
    end
end

%% in case of 4 graphs
if handles.input.output.rayplots.defgraph.numofaxes==4
    for i=1:4
        ylim(1)=str2num(get(handles.figures.output.rayplots.options.edit(2*i+1),'String'));
        ylim(2)=str2num(get(handles.figures.output.rayplots.options.edit(2*i+2),'String'));
        if ylim(1)>=ylim(2)
            he=figure('Name','Error','Units','Centimeters','Position',...
                [10 8 8 4],'Menubar','none','Numbertitle','Off','Color',[0.95 0.95 0.95]);
            winontop(he);
            uicontrol('Parent',he,'Style','text','String','Upper Bound should be smaller than the Lower Bound',...
                'Units','Centimeters','Position',[1 1 6 2],'FontSize',10,'FontWeight','bold');
            uicontrol('Parent',he,'Style','pushbutton','String','Ok','Units','Centimeters','Position',[3.1 1 2 0.7],'Callback','Close');
            error=1;
        end
        xlim(1)=str2num(get(handles.figures.output.rayplots.options.edit(1),'String'));
        xlim(2)=str2num(get(handles.figures.output.rayplots.options.edit(2),'String'));
        if xlim(1)>=xlim(2)
            he=figure('Name','Error','Units','Centimeters','Position',...
                [10 8 8 4],'Menubar','none','Numbertitle','Off','Color',[0.95 0.95 0.95]);
            winontop(he);
            uicontrol('Parent',he,'Style','text','String','Upper Bound should be smaller than the Lower Bound!',...
                'Units','Centimeters','Position',[1 1 6 2],'FontSize',10,'FontWeight','bold');
            uicontrol('Parent',he,'Style','pushbutton','String','Ok','Units','Centimeters','Position',[3.1 1 2 0.7],'Callback','Close');
            error=1;
        end         
        if error==0
        set(handles.figures.output.rayplots.defgraph.axes(i),'Ylim',ylim);
        set(handles.figures.output.rayplots.defgraph.axes(i),'Xlim',xlim);
        if gridline==0
            set(handles.figures.output.rayplots.defgraph.axes(i),'GridLineStyle','none')
        else
            set(handles.figures.output.rayplots.defgraph.axes(i),'XGrid','on','YGrid','On')
        end
        end
    end
end
if error==0
    
    % Set handles to 'Userdata' property
    set(swan,'UserData',handles)
    
   
    close(handles.figures.input.f12)
end
end

    