function output_spectrumplot_defgraph_done_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

nofpoints=0;
for i=1:8
    if handles.output.spectrumplot.point(i)~=0
        nofpoints=nofpoints+1;
    end
end

filename=handles.input.newproject.filename;
handles.figures.output.rayplots.spectrumplot.axes=zeros(1,4);
foldername=handles.input.newproject.foldername;

%% Saving spectrum Data   
if handles.output.spectrumplot.point(1)~=0 
    [foldername '\' filename ' files' '\' filename '_point1' '.sp1'];
    [handles.output.spectrumplot.out(1).freq,handles.output.spectrumplot.out(1).efr,...
        handles.output.spectrumplot.out(1).xpos,handles.output.spectrumplot.out(1).ypos,...
        handles.output.spectrumplot.out(1).iok] = read_swan_sp1([foldername '\' filename ' files' '\' filename '_point1' '.sp1'],0);
    ccc=length(handles.output.spectrumplot.out(1).efr);
    omit=[];
    j=1;
    for i=1:ccc
        if handles.output.spectrumplot.out(1).efr(i)<0
            omit(j)=i;
            j=j+1;            
        end
    end
    handles.output.spectrumplot.out(1).efr(omit)=[];
    handles.output.spectrumplot.out(1).freq(omit)=[];
end
if handles.output.spectrumplot.point(2)~=0 
    [handles.output.spectrumplot.out(2).freq,handles.output.spectrumplot.out(2).efr,...
        handles.output.spectrumplot.out(2).xpos,handles.output.spectrumplot.out(2).ypos,...
        handles.output.spectrumplot.out(2).iok] = read_swan_sp1([foldername '\' filename ' files' '\' filename '_point2' '.sp1'],0);
    ccc=length(handles.output.spectrumplot.out(2).efr);
    omit=[];
    j=1;
    for i=1:ccc
        if handles.output.spectrumplot.out(2).efr(i)<0
            omit(j)=i;
            j=j+1;            
        end
    end
    handles.output.spectrumplot.out(2).efr(omit)=[];
    handles.output.spectrumplot.out(2).freq(omit)=[];
end
if handles.output.spectrumplot.point(3)~=0 
    [handles.output.spectrumplot.out(3).freq,handles.output.spectrumplot.out(3).efr,...
        handles.output.spectrumplot.out(3).xpos,handles.output.spectrumplot.out(3).ypos,...
        handles.output.spectrumplot.out(3).iok] = read_swan_sp1([foldername '\' filename ' files' '\' filename '_point3' '.sp1'],0);
    ccc=length(handles.output.spectrumplot.out(3).efr);
    omit=[];
    j=1;
    for i=1:ccc
        if handles.output.spectrumplot.out(3).efr(i)<0
            omit(j)=i;
            j=j+1;            
        end
    end
    handles.output.spectrumplot.out(3).efr(omit)=[];
    handles.output.spectrumplot.out(3).freq(omit)=[];
end
if handles.output.spectrumplot.point(4)~=0 
    [handles.output.spectrumplot.out(4).freq,handles.output.spectrumplot.out(4).efr,...
        handles.output.spectrumplot.out(4).xpos,handles.output.spectrumplot.out(4).ypos,...
        handles.output.spectrumplot.out(4).iok] = read_swan_sp1([foldername '\' filename ' files' '\' filename '_point4' '.sp1'],0);
    ccc=length(handles.output.spectrumplot.out(4).efr);
    omit=[];
    j=1;
    for i=1:ccc
        if handles.output.spectrumplot.out(4).efr(i)<0
            omit(j)=i;
            j=j+1;            
        end
    end
    handles.output.spectrumplot.out(4).efr(omit)=[];
    handles.output.spectrumplot.out(4).freq(omit)=[];
end
if handles.output.spectrumplot.point(5)~=0 
    [handles.output.spectrumplot.out(5).freq,handles.output.spectrumplot.out(5).efr,...
        handles.output.spectrumplot.out(5).xpos,handles.output.spectrumplot.out(5).ypos,...
        handles.output.spectrumplot.out(5).iok] = read_swan_sp1([foldername '\' filename ' files' '\' filename '_point5' '.sp1'],0);
    ccc=length(handles.output.spectrumplot.out(5).efr);
    omit=[];
    j=1;
    for i=1:ccc
        if handles.output.spectrumplot.out(5).efr(i)<0
            omit(j)=i;
            j=j+1;            
        end
    end
    handles.output.spectrumplot.out(5).efr(omit)=[];
    handles.output.spectrumplot.out(5).freq(omit)=[];
end
if handles.output.spectrumplot.point(6)~=0 
    [handles.output.spectrumplot.out(6).freq,handles.output.spectrumplot.out(6).efr,...
        handles.output.spectrumplot.out(6).xpos,handles.output.spectrumplot.out(6).ypos,...
        handles.output.spectrumplot.out(6).iok] = read_swan_sp1([foldername '\' filename ' files' '\' filename '_point6' '.sp1'],0);
    ccc=length(handles.output.spectrumplot.out(6).efr);
    omit=[];
    j=1;
    for i=1:ccc
        if handles.output.spectrumplot.out(6).efr(i)<0
            omit(j)=i;
            j=j+1;            
        end
    end
    handles.output.spectrumplot.out(6).efr(omit)=[];
    handles.output.spectrumplot.out(6).freq(omit)=[];
end
if handles.output.spectrumplot.point(7)~=0 
    [handles.output.spectrumplot.out(7).freq,handles.output.spectrumplot.out(7).efr,...
        handles.output.spectrumplot.out(7).xpos,handles.output.spectrumplot.out(7).ypos,...
        handles.output.spectrumplot.out(7).iok] = read_swan_sp1([foldername '\' filename ' files' '\' filename '_point7' '.sp1'],0);
    ccc=length(handles.output.spectrumplot.out(7).efr);
    omit=[];
    j=1;
    for i=1:ccc
        if handles.output.spectrumplot.out(7).efr(i)<0
            omit(j)=i;
            j=j+1;            
        end
    end
    handles.output.spectrumplot.out(7).efr(omit)=[];
    handles.output.spectrumplot.out(7).freq(omit)=[];
end
if handles.output.spectrumplot.point(8)~=0 
    [handles.output.spectrumplot.out(8).freq,handles.output.spectrumplot.out(8).efr,...
        handles.output.spectrumplot.out(8).xpos,handles.output.spectrumplot.out(8).ypos,...
        handles.output.spectrumplot.out(8).iok] = read_swan_sp1([foldername '\' filename ' files' '\' filename '_point8' '.sp1'],0);
    ccc=length(handles.output.spectrumplot.out(8).efr);
    omit=[];
    j=1;
    for i=1:ccc
        if handles.output.spectrumplot.out(8).efr(i)<0
            omit(j)=i;
            j=j+1;            
        end
    end
    handles.output.spectrumplot.out(8).efr(omit)=[];
    handles.output.spectrumplot.out(8).freq(omit)=[];
end
%% Finding the last view
point=zeros(1,4);
if handles.figures.output.spectrumplot.defgraph.pushbuttonstatus1==1
    handles.input.output.spectrumplot.defgraph.view1.popupstatus=get(handles.figures.output.spectrumplot.defgraph.popupmenu,'Value');
    point(1)=handles.input.output.spectrumplot.defgraph.view1.popupstatus-1;
end
if handles.figures.output.spectrumplot.defgraph.pushbuttonstatus2==1 
    handles.input.output.spectrumplot.defgraph.view2.popupstatus=get(handles.figures.output.spectrumplot.defgraph.popupmenu,'Value');
    point(2)=handles.input.output.spectrumplot.defgraph.view2.popupstatus-1;
end
if handles.figures.output.spectrumplot.defgraph.pushbuttonstatus3==1
    handles.input.output.spectrumplot.defgraph.view3.popupstatus=get(handles.figures.output.spectrumplot.defgraph.popupmenu,'Value');
    point(3)=handles.input.output.spectrumplot.defgraph.view3.popupstatus-1;
end
if handles.figures.output.spectrumplot.defgraph.pushbuttonstatus4==1
    handles.input.output.spectrumplot.defgraph.view4.popupstatus=get(handles.figures.output.spectrumplot.defgraph.popupmenu,'Value');
    point(4)=handles.input.output.spectrumplot.defgraph.view4.popupstatus-1;
end
handles.figures.output.spectrumplot.enabledaxes=zeros(1,4);
if (handles.input.output.spectrumplot.defgraph.view1.popupstatus~=1 && isfield(handles.input.output.spectrumplot.defgraph,'view1'))
    handles.figures.output.spectrumplot.enabledaxes(1)=1;
    point(1)=handles.input.output.spectrumplot.defgraph.view1.popupstatus-1;
end
if (isfield(handles.input.output.spectrumplot.defgraph,'view2') && handles.input.output.spectrumplot.defgraph.view2.popupstatus~=1)
    handles.figures.output.spectrumplot.enabledaxes(2)=1;
    point(2)=handles.input.output.spectrumplot.defgraph.view2.popupstatus-1;
end
if (isfield(handles.input.output.spectrumplot.defgraph,'view3') && handles.input.output.spectrumplot.defgraph.view3.popupstatus~=1)
    handles.figures.output.spectrumplot.enabledaxes(3)=1;
    point(3)=handles.input.output.spectrumplot.defgraph.view3.popupstatus-1;
end
if (isfield(handles.input.output.spectrumplot.defgraph,'view4') && handles.input.output.spectrumplot.defgraph.view4.popupstatus~=1)
    handles.figures.output.spectrumplot.enabledaxes(4)=1;
    point(4)=handles.input.output.spectrumplot.defgraph.view4.popupstatus-1;
end

%% Number of Axes
numofaxes=0;
handles.figures.output.spectrumplot.enabledaxes;
for i=1:4
    if handles.figures.output.spectrumplot.enabledaxes(i)==1
        numofaxes=numofaxes+1;
    end
end
if numofaxes==0
    delete(handles.figures.output.spectrumplot.ui)
    handles.figures.output.spectrumplot.ui=uibuttongroup('Parent',handles.figures.input.f8,'Units','Centimeters','Position',[0.1 0.1 10.5 13.8]);
    close(handles.figures.input.f11);
end
%numofaxes
popstring=handles.input.outputlocation.point;

%% Plotting 1 Graph
plottedaxes=zeros(1,4);
if numofaxes==1
    delete(handles.figures.output.spectrumplot.ui)
    handles.figures.output.spectrumplot.ui=uibuttongroup('Parent',handles.figures.input.f8,'Units','Centimeters','Position',[0.1 0.1 10.5 13.8]);
    handles.figures.output.spectrumplot.defgraph.axes(1)=axes('Parent',handles.figures.output.spectrumplot.ui,'Units','Centimeters',...
        'Position',[1.5 1.5 8.5 11.3],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
    for i=1:4
        if handles.figures.output.spectrumplot.enabledaxes(i)==1
            for j=1:4
                if point(j)~=0
                    plot(handles.figures.output.spectrumplot.defgraph.axes(1),handles.output.spectrumplot.out(point(i)).freq,...
                        handles.output.spectrumplot.out(point(i)).efr)
                    grid(handles.figures.output.spectrumplot.defgraph.axes(1))
                    xlabel(handles.figures.output.spectrumplot.defgraph.axes(1),'Frequency (Hz)')
                    ylabel(handles.figures.output.spectrumplot.defgraph.axes(1),'Var. Density (m2/Hz)')
                    title(handles.figures.output.spectrumplot.defgraph.axes(1),['Location: ' num2str(popstring(point(j))) ' m from Offshore Boundary'])
                    set(swan,'UserData',handles);
                    close(handles.figures.input.f11);
                end
            end
        end          
    end
end

%% Plotting 2 Graphs
if numofaxes==2
    delete(handles.figures.output.spectrumplot.ui)
    handles.figures.output.spectrumplot.ui=uibuttongroup('Parent',handles.figures.input.f8,'Units','Centimeters','Position',[0.1 0.1 10.5 13.8]);
    handles.figures.output.spectrumplot.defgraph.axes(1)=axes('Parent',handles.figures.output.spectrumplot.ui,'Units','Centimeters',...
        'Position',[1.5 8 8.5 4.5],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
    handles.figures.output.spectrumplot.defgraph.axes(2)=axes('Parent',handles.figures.output.spectrumplot.ui,'Units','Centimeters',...
        'Position',[1.5 1.5 8.5 4.5],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
   k=0; 
    for i=1:4
        if handles.figures.output.spectrumplot.enabledaxes(i)==1
            k=k+1;
            if plottedaxes(i)==0                
                    handles.output.spectrumplot.out(point(i)).freq
                    handles.output.spectrumplot.out(point(i)).efr
                    plot(handles.figures.output.spectrumplot.defgraph.axes(k),handles.output.spectrumplot.out(point(i)).freq,...
                          handles.output.spectrumplot.out(point(i)).efr)
                    plottedaxes(i)=1;
                    grid(handles.figures.output.spectrumplot.defgraph.axes(k))
                    xlabel(handles.figures.output.spectrumplot.defgraph.axes(k),'Frequency(Hz)')
                    ylabel(handles.figures.output.spectrumplot.defgraph.axes(k),'Var. Density(m2/Hz)')
                    title(handles.figures.output.spectrumplot.defgraph.axes(k),['Location: ' num2str(popstring(point(i))) ' m from Offshore Boundary'])                        
            end 
        end
    end
    set(swan,'UserData',handles);
    close(handles.figures.input.f11);
end

%% Plotting 3 Graphs
if numofaxes==3
    delete(handles.figures.output.spectrumplot.ui)
    handles.figures.output.spectrumplot.ui=uibuttongroup('Parent',handles.figures.input.f8,'Units','Centimeters','Position',[0.1 0.1 10.5 13.8]);
    handles.figures.output.spectrumplot.defgraph.axes(1)=axes('Parent',handles.figures.output.spectrumplot.ui,'Units','Centimeters',...
        'Position',[1.5 10.3 8.5 2.5],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
    handles.figures.output.spectrumplot.defgraph.axes(2)=axes('Parent',handles.figures.output.spectrumplot.ui,'Units','Centimeters',...
        'Position',[1.5 5.8 8.5 2.5],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
    handles.figures.output.spectrumplot.defgraph.axes(3)=axes('Parent',handles.figures.output.spectrumplot.ui,'Units','Centimeters',...
        'Position',[1.5 1.4 8.5 2.5],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
    k=0; 
    for i=1:4
        if handles.figures.output.spectrumplot.enabledaxes(i)==1
          k=k+1;
          if plottedaxes(i)==0              
              plot(handles.figures.output.spectrumplot.defgraph.axes(k),handles.output.spectrumplot.out(point(i)).freq,handles.output.spectrumplot.out(point(i)).efr)
              plottedaxes(i)=1;
              grid(handles.figures.output.spectrumplot.defgraph.axes(k))
              xlabel(handles.figures.output.spectrumplot.defgraph.axes(k),'Frequency (Hz)')
              ylabel(handles.figures.output.spectrumplot.defgraph.axes(k),'Var. Density (m2/Hz)')
              title(handles.figures.output.spectrumplot.defgraph.axes(k),['Location: ' num2str(popstring(point(i))) ' m from Offshore Boundary'])
          end
        end
    end
    set(swan,'UserData',handles);
    close(handles.figures.input.f11);
end

%% Plotting 4 Graphs
if numofaxes==4
    delete(handles.figures.output.spectrumplot.ui)
    handles.figures.output.spectrumplot.ui=uibuttongroup('Parent',handles.figures.input.f8,'Units','Centimeters','Position',[0.1 0.1 10.5 13.8]);
    handles.figures.output.spectrumplot.defgraph.axes(1)=axes('Parent',handles.figures.output.spectrumplot.ui,'Units','Centimeters',...
        'Position',[1.5 11.3 8.5 1.5],'Color',[0.7 0.7 0.7],...
        'FontSize',6);
    handles.figures.output.spectrumplot.defgraph.axes(2)=axes('Parent',handles.figures.output.spectrumplot.ui,'Units','Centimeters',...
        'Position',[1.5 8.0 8.5 1.5],'Color',[0.7 0.7 0.7],...
        'FontSize',6);
    handles.figures.output.spectrumplot.defgraph.axes(3)=axes('Parent',handles.figures.output.spectrumplot.ui,'Units','Centimeters',...
        'Position',[1.5 4.6 8.5 1.5],'Color',[0.7 0.7 0.7],...
        'FontSize',6);
    handles.figures.output.spectrumplot.defgraph.axes(4)=axes('Parent',handles.figures.output.spectrumplot.ui,'Units','Centimeters',...
        'Position',[1.5 1.3 8.5 1.5],'Color',[0.7 0.7 0.7],...
        'FontSize',6);
    k=0; 
    for i=1:4
        if handles.figures.output.spectrumplot.enabledaxes(i)==1
          k=k+1;
          if plottedaxes(i)==0              
              plot(handles.figures.output.spectrumplot.defgraph.axes(k),handles.output.spectrumplot.out(point(i)).freq,handles.output.spectrumplot.out(point(i)).efr)
              plottedaxes(i)=1;
              grid(handles.figures.output.spectrumplot.defgraph.axes(k))
              xlabel(handles.figures.output.spectrumplot.defgraph.axes(k),'Frequency (Hz)')
              ylabel(handles.figures.output.spectrumplot.defgraph.axes(k),'Var. Density (m2/Hz)','FontSize',8)
              title(handles.figures.output.spectrumplot.defgraph.axes(k),['Location: ' num2str(popstring(point(i))) ' m from Offshore Boundary'])
          end
        end
    end
    set(swan,'UserData',handles);
    close(handles.figures.input.f11);
end
    %close(handles.figures.input.f11)
    
% Set handles to 'Userdata' property
set(swan,'UserData',handles);

end
    
