function save_as_clbk_str(varargin)

% find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

% create new figure/window
handles.figures.saveproject.f1=figure('Name','SwanOne - Save as','Units','Centimeters',...
    'Position',[10 8 12 3.3],'Menubar','none','Numbertitle','off','Tag','Save Project','Color',[0.95 0.95 0.95]);

%% 'Save Project' field

% 'Save Project' box surrounded by a single line
h1 = uibuttongroup('Parent',handles.figures.saveproject.f1,...
    'Units','Centimeters','Position',[0.35 0.5 9 2.5],'visible','On','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.saveproject.uibuttongroup2=h1;

% 'Folder Name' textbox and text
handles.figures.saveproject.edit1=uicontrol('Parent',h1,'style','edit','Units','Centimeters','Position',[2.25 1.3 4.5 0.6],'BackGroundColor','w');
set(handles.figures.saveproject.edit1,'String',cd);
text1=uicontrol('Parent',h1,'Style','text','String','Folder Name','Units',...
    'Centimeters','Position',[0.2 1.15 1.6 0.6],'BackGroundColor',[0.95 0.95 0.95]);

% change the 'Folder Name' editbox (with directory) in the name of the 'New Project'
%directory_change=get(handles.figures.newproject.edit1,'string')
%set(handles.figures.saveproject.edit1,'string',directory_change)

% 'Project Name' textbox and text
handles.figures.saveproject.edit2=uicontrol('Parent',h1,'style','edit','Units','Centimeters','Position',[2.25 0.3 4.5 0.6],'BackGroundColor','w');
text2=uicontrol('Parent',h1,'Style','text','String','Project Name',...
    'Units','Centimeters','Position',[0.2 0.2 1.7 0.6],'BackGroundColor',[0.95 0.95 0.95]);

% 'Browse' button
handles.figures.saveproject.pushbutton1=uicontrol(h1,...
    'style','pushbutton','Units','centimeters','Position',[6.95 1.3 1.5 0.6],...
    'String','Browse','Callback',@browse_save_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% change the 'Folder Name' editbox (with directory) in the name of the 'New Project'
%filename_change=get(handles.figures.newproject.edit2,'string')
%set(handles.figures.saveproject.edit2,'string',filename_change)

%% Other buttons

% 'Cancel' button
handles.figures.saveproject.pushbutton2=uicontrol(handles.figures.saveproject.f1,...
    'style','pushbutton','Units','centimeters','Position',[10 0.5 1.5 0.7],...
    'String','Cancel','Callback',@close_save_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% 'Save' button
handles.figures.saveproject.pushbutton3=uicontrol(handles.figures.saveproject.f1,...
    'style','pushbutton','Units','centimeters','Position',[10 1.3 1.5 0.7],...
    'String','Save','CallBack',@createfile_saveproject_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% remove figures to save structure in mat-file
handles.figures.saveproject = rmfield(handles.figures.saveproject,'f1');

% Set handles to 'Userdata' property
set(swan,'UserData',handles)

end