function uibuttongroup_defcurrent_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

% 'No Current' settings
if get(handles.figures.currentprofile.radio1,'Value')==1
    set(handles.figures.currentprofile.edit1,'Enable','Off');
    set(handles.figures.currentprofile.text,'ForegroundColor',[0.5 0.5 0.5]);
    set(handles.figures.currentprofile.edit2,'Enable','Off');
    set(handles.figures.currentprofile.pushbutton3,'Enable','Off');
    set(handles.figures.currentprofile.radio4,'Enable','Off');
    set(handles.figures.currentprofile.radio5,'Enable','Off');
end

% 'Chezy' settings
if get(handles.figures.currentprofile.radio2,'Value')==1
    set(handles.figures.currentprofile.edit1,'Enable','On');
    set(handles.figures.currentprofile.text,'ForegroundColor',[0 0 0]);
    set(handles.figures.currentprofile.edit2,'Enable','Off');
    set(handles.figures.currentprofile.pushbutton3,'Enable','Off');
    set(handles.figures.currentprofile.radio4,'Enable','Off');
    set(handles.figures.currentprofile.radio5,'Enable','Off');
end

% 'Current File' settings
if get(handles.figures.currentprofile.radio3,'Value')==1
    set(handles.figures.currentprofile.edit1,'Enable','Off');
    set(handles.figures.currentprofile.edit2,'Enable','On','BackGroundColor','w');
    set(handles.figures.currentprofile.pushbutton3,'Enable','On');
    set(handles.figures.currentprofile.radio4,'Enable','On');
    set(handles.figures.currentprofile.radio5,'Enable','On');
end

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

end
