function bndcnd_uibuttongroup1_selectionchangefcn(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

% When 'SWAN 2-D Spectrum' is checked, the following buttons will be
% enabled or disabled
if get(handles.figures.boundaryconditions.radio1,'Value')==1
    set(handles.figures.boundaryconditions.pushbutton02,'Enable','On')
    set(handles.figures.boundaryconditions.pushbutton01,'Enable','Off')
    set(handles.figures.boundaryconditions.edit0,'Enable','On','BackGroundColor','w')
    set(handles.figures.boundaryconditions.edit1,'Enable','Off','BackGroundColor',[0.5 0.5 0.5])
    set(handles.figures.boundaryconditions.edit2,'Enable','Off')
    set(handles.figures.boundaryconditions.edit3,'Enable','Off')
    set(handles.figures.boundaryconditions.edit6,'Enable','Off')
    set(handles.figures.boundaryconditions.edit300,'Enable','Off')
    set(handles.figures.boundaryconditions.edit301,'Enable','Off')
    set(handles.figures.boundaryconditions.text1,'ForegroundColor',[0.5 0.5 0.5])
    set(handles.figures.boundaryconditions.text2,'ForegroundColor',[0.5 0.5 0.5])
    set(handles.figures.boundaryconditions.text3,'ForegroundColor',[0.5 0.5 0.5])
    set(handles.figures.boundaryconditions.text200,'ForegroundColor',[0.5 0.5 0.5])
    set(handles.figures.boundaryconditions.text201,'ForegroundColor',[0.5 0.5 0.5])
end

% When 'SWAN 1-D Spectrum' is checked, the following buttons will be
% enabled or disabled
if get(handles.figures.boundaryconditions.radio2,'Value')==1
    set(handles.figures.boundaryconditions.pushbutton02,'Enable','Off')
    set(handles.figures.boundaryconditions.pushbutton01,'Enable','On')
    set(handles.figures.boundaryconditions.edit0,'Enable','Off','BackGroundColor',[0.5 0.5 0.5])
    set(handles.figures.boundaryconditions.edit1,'Enable','On','BackGroundColor','w')
    set(handles.figures.boundaryconditions.edit2,'Enable','Off')
    set(handles.figures.boundaryconditions.edit3,'Enable','Off')
    set(handles.figures.boundaryconditions.edit6,'Enable','Off')
    set(handles.figures.boundaryconditions.edit300,'Enable','Off')
    set(handles.figures.boundaryconditions.edit301,'Enable','Off')
    set(handles.figures.boundaryconditions.text1,'ForegroundColor',[0.5 0.5 0.5])
    set(handles.figures.boundaryconditions.text2,'ForegroundColor',[0.5 0.5 0.5])
    set(handles.figures.boundaryconditions.text3,'ForegroundColor',[0.5 0.5 0.5])
    set(handles.figures.boundaryconditions.text200,'ForegroundColor',[0.5 0.5 0.5])
    set(handles.figures.boundaryconditions.text201,'ForegroundColor',[0.5 0.5 0.5])
end

% When 'Manual settings' is checked, the following buttons will be
% enabled or disabled
if get(handles.figures.boundaryconditions.radio3,'Value')==1
    set(handles.figures.boundaryconditions.pushbutton02,'Enable','Off')
    set(handles.figures.boundaryconditions.pushbutton01,'Enable','Off')
    set(handles.figures.boundaryconditions.edit0,'Enable','Off','BackGroundColor',[0.5 0.5 0.5])
    set(handles.figures.boundaryconditions.edit2,'Enable','On','BackGroundColor','w')
    set(handles.figures.boundaryconditions.edit3,'Enable','On','BackGroundColor','w')
    set(handles.figures.boundaryconditions.edit6,'Enable','On','BackGroundColor','w')
    set(handles.figures.boundaryconditions.edit300,'Enable','On','BackGroundColor','w')
    set(handles.figures.boundaryconditions.edit301,'Enable','On','BackGroundColor','w')
    set(handles.figures.boundaryconditions.edit1,'Enable','Off','BackGroundColor',[0.5 0.5 0.5]) 
    set(handles.figures.boundaryconditions.text1,'ForegroundColor',[0 0 0])
    set(handles.figures.boundaryconditions.text2,'ForegroundColor',[0 0 0])
    set(handles.figures.boundaryconditions.text3,'ForegroundColor',[0 0 0])
    set(handles.figures.boundaryconditions.text200,'ForegroundColor',[0 0 0])
    set(handles.figures.boundaryconditions.text201,'ForegroundColor',[0 0 0])
%     set(handles.figures.boundaryconditions.text0,'ForegroundColor',[0.5 0.5 0.5])
end

end
