function old_print_file(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

filename=handles.input.newproject.filename;
s=load([filename '.TAB']);
if get(handles.figures.table.print.radio1,'Value')==1    
    fid=fopen([filename '_Table.TAB'],'wt+');
    for i=1:12
        if get(handles.figures.output.table.radio(i),'Value')==1
            if i==1
                fseek(fid,0,'cof');
                fprintf(fid,'%s\n','X(m)')
                k=length(s(:,1));
                for j=1:k
                    fprintf(fid,'%s\n',num2str(s(j,1)))
                end
            end
            if i==2
                fseek(fid,0,'cof');
                fprintf(fid,'%s\n','Significant Wave Height(meters)')
                k=length(s(:,3));
                for j=1:k
                    fprintf(fid,'%s\n',num2str(s(j,3)))
                end
            end
            if i==3
                fseek(fid,0,'cof');
                fprintf(fid,'%s\n','Relative Peak Period (Sec)')
                k=length(s(:,4));
                for j=1:k
                    fprintf(fid,'%s\n',num2str(s(j,4)))
                end
            end
            if i==4
                fseek(fid,0,'cof');
                fprintf(fid,'%s\n','Mean absolute wave period (Sec)')
                k=length(s(:,5));
                for j=1:k
                    fprintf(fid,'%s\n',num2str(s(j,5)))
                end
            end
            if i==5
                fseek(fid,0,'cof');
                fprintf(fid,'%s\n','Mean absolute wave period "Tm-1,0" (Sec)')
                k=length(s(:,6));
                for j=1:k
                    fprintf(fid,'%s\n',num2str(s(j,6)))
                end
            end
            if i==6
                fseek(fid,0,'cof');
                fprintf(fid,'%s\n','Mean Wave Direction')
                k=length(s(:,7));
                for j=1:k
                    fprintf(fid,'%s\n',num2str(s(j,7)))
                end
            end
            if i==7
                fseek(fid,0,'cof');
                fprintf(fid,'%s\n','The one-sided directional width of the spectrum(Directional Spreading)')
                k=length(s(:,8));
                for j=1:k
                    fprintf(fid,'%s\n',num2str(s(j,8)))
                end
            end
            if i==8
                fseek(fid,0,'cof');
                fprintf(fid,'%s\n','Water Depth (meters)')
                k=length(s(:,9));
                for j=1:k
                    fprintf(fid,'%s\n',num2str(s(j,9)))
                end
            end
            if i==9
                fseek(fid,0,'cof');
                fprintf(fid,'%s\n','Wave Setup(meters)')
                k=length(s(:,10));
                for j=1:k
                    fprintf(fid,'%s\n',num2str(s(j,10)))
                end
            end            
        end
    end
end
fclose('all')
movefile([filename '_Table.TAB'],[filename ' files'])

% Set handles to 'Userdata' property
set(swan,'UserData',handles)

close(handles.figures.input.f13)

%{
if j==1            
                fseek(fid,0,'eof');
                value=table(i,j);
                value=cell2mat(value);                
                fprintf(fid,'%s\n',num2str(value));
            else
                fseek(fid,0,'eof');
                value=cell2mat(table(i,j));
                fprintf(fid,'%s',['  ' num2str(value)]);
            end
%}
