function output_raysplot_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

handles.figures.input.f7=figure('Name','SwanOne - Rays Plot','Units','Centimeters','Position',...
    [6 1.5 19 18],'Menubar','none','Numbertitle','Off','Color',[0.95 0.95 0.95]);
%%
handles.figures.output.rayplots.pushbutton1=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[16.2 4.5 2.5 0.7],'BackGroundColor',[0.95 0.95 0.95],...
    'String','Define Graphs','Callback',@output_rayplots_defgraph_clbk);
handles.figures.output.rayplots.pushbutton2=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[16.2 3.5 2.5 0.7],'BackGroundColor',[0.95 0.95 0.95],...
    'String','Options','Callback',@output_rayplots_options_clbk,'Enable','Off');
handles.figures.output.rayplots.pushbutton3=uicontrol('style','pushbutton','Units',...
    'centimeters','Position',[16.2 2.5 2.5 0.7],'BackGroundColor',[0.95 0.95 0.95],...
    'String','Frame','Callback',@output_rayplots_frame_clbk,'Enable','Off');
handles.figures.output.rayplots.pushbutton4=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[16.2 1.5 2.5 0.7],'BackGroundColor',[0.95 0.95 0.95],...
    'String','Print','Callback',@print_output_rayplots_clbk,'Enable','Off');
handles.figures.output.rayplots.pushbutton5=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[16.2 0.5 2.5 0.7],'BackGroundColor',[0.95 0.95 0.95],...
    'String','Done','Callback',@output_rayplots_done_clbk);
%%
h3=uibuttongroup('Parent',handles.figures.input.f7,'Units','Centimeters',...
    'Position',[0.1 0.1 15.8 17.8],'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.output.rayplots.defgraph.ui=h3;

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

