function output_spectrumplot_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

% ...
handles.figures.input.f8=figure('Name','SwanOne - Spectrum Plot','Units','Centimeters','Position',...
    [12 5 14.3 14],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95]);
%%
handles.figures.output.spectrumplot.pushbutton1=uicontrol('style','pushbutton','Units','centimeters','Position',[11.3 4.5 2.5 0.7],...
    'String','Define Graphs','Callback',@output_spectrumplot_defgraph_clbk,'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.output.spectrumplot.pushbutton2=uicontrol('style','pushbutton','Units','centimeters','Position',[11.3 3.5 2.5 0.7],...
    'String','Options','Callback',@options_output_rayplots_clbk,'Enable','Off','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.output.spectrumplot.pushbutton3=uicontrol('style','pushbutton','Units','centimeters','Position',[11.3 2.5 2.5 0.7],...
    'String','Frame','Callback',@frame_output_rayplots_clbk,'Enable','Off','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.output.spectrumplot.pushbutton4=uicontrol('style','pushbutton','Units','centimeters','Position',[11.3 1.5 2.5 0.7],...
    'String','Print','Callback',@print_output_rayplots_clbk,'Enable','Off','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.output.spectrumplot.pushbutton5=uicontrol('style','pushbutton','Units','centimeters','Position',[11.3 0.5 2.5 0.7],...
    'String','Done','Callback',@done_output_rayplots_clbk,'BackGroundColor',[0.95 0.95 0.95]);
%%
handles.figures.output.spectrumplot.ui=uibuttongroup('Parent',handles.figures.input.f8,...
    'Units','Centimeters','Position',[0.1 0.1 10.5 13.8],'BackGroundColor',[0.95 0.95 0.95]);
%h2=uibuttongroup('Parent',handles.figures.input.f8,'Units','Centimeters','Position',...
%    [10.85 11.4 3.2 2.5],'Title','Options','BackGroundColor',[0.95 0.95 0.95]);
%handles.figures.output.spectrumplot.checkbox=uicontrol('Parent',h2,'Style','Checkbox','Units','Centimeters'...
%    ,'Position',[0.3 0.82 2 0.7],'String','Gridlines','Value',1,'BackGroundColor',[0.95 0.95 0.95]);

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

end