function output_tables_print(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

handles.figures.input.f13=figure('Name','SwanOne - Table Print','Units','Centimeters','Position',...
    [14 9 7 3],'Menubar','none','Numbertitle','Off','Color',[0.95 0.95 0.95]);
h2=uibuttongroup('Parent',handles.figures.input.f13,'Units','Centimeters','Position',...
    [0.1 0.1 4.5 2.8],'HighlightColor',[0.5 0.5 0.5],'BackgroundColor',[1 1 1]);
handles.figures.table.print.radio1=uicontrol('Parent',h2,'Style','Radio','Units','Centimeters',...
    'Position',[0.5 1.6 3 0.5],'String','Printing to File','value',1,'BackgroundColor',[1 1 1]);
handles.figures.table.print.radio2=uicontrol('Parent',h2,'Style','Radio','Units','Centimeters',...
    'Position',[0.5 0.7 3 0.5],'String','Printing to Printer','Value',0,'BackgroundColor',[1 1 1]);
handles.figures.table.print.pushbutton1=uicontrol('Parent',handles.figures.input.f13,'style','pushbutton',...
    'Units','centimeters','Position',[5 1.15 1.7 0.7],...
    'String','OK','Callback',@output_table_print_ok);
handles.figures.table.print.pushbutton1=uicontrol('Parent',handles.figures.input.f13,'style','pushbutton',...
    'Units','centimeters','Position',[5 0.3 1.7 0.7],...
    'String','Close','Callback','close');

% Set handles to 'Userdata' property
set(swan,'UserData',handles)

end
