function read_bndcnd_sp2_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

[sp2file,foldername]=uigetfile('*.SP2');
handles.input.boundaryconditions.sp2file=sp2file;
handles.input.boundaryconditions.sp2folder=foldername;

if sp2file~=0
    set(handles.figures.boundaryconditions.edit0,'String',sp2file)
if exist(sp2file,'file')==2
    set(swan,'UserData',handles);
    %uicontrol(he,'style','pushbutton','Units','centimeters',...
    %      'Position',[10.8 1 1.9 0.7],'String','Done','CallBack','close');
    %Set handles to 'Userdata' property
    %omit=[];
    %count=0;
    %freq=handles.input.boundaryconditions.sp2.freq; %
    %efr=handles.input.boundaryconditions.sp2.efr; %
    %for i=1:length(freq)
    %    if efr(i)<0
    %        count=count+1;
    %        omit(count)=i;
    %    end
    %end
    %freq(omit)=[];
    %efr(omit)=[];
    %plot(freq,efr),grid
    %xlabel('Frequency(Hz)')
    %ylabel('Var. Density(m2/Hz)')
    %swinontop(he)
else
    he=figure('Name','Error','Units','Centimeters','Position',...
        [10 9 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
    uicontrol('Parent',he,'Style','text','String',...
        'The Spectrum File could not be Found!',...
        'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold','BackGroundColor',[1 0.7 0]);
    uicontrol(he,'style','pushbutton','Units','centimeters',...
          'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
    winontop(he)
    error=1;
end
end
end