function read_btmprofile_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

aaa=cd;
[name,foldername,a]=uigetfile('*.txt');

if name~=0
    set(handles.figures.bottomprofile.edit1,'String',name);
end
%foldername=handles.input.newproject.foldername;
cd(foldername)
fid=fopen(name);

if fid>=1
   bottomprofile=load(name);
   set(handles.figures.bottomprofile.pushbutton1,'UserData',bottomprofile)
   a=size(bottomprofile);
   swan=findobj('Tag','swan1d');
   handles.input.bottomprofile.bathymetry=bottomprofile;
   bathymetry=handles.input.bottomprofile.bathymetry;
   n=length(bathymetry(:,1));
   xlenc=max(bathymetry(:,1))-min(bathymetry(:,1));
   handles.input.bottomprofile.xlenc=xlenc;
   filename=handles.input.newproject.filename;
   handles.input.btmprofile.error=0;
   
   % Set handles to 'Userdata' property
   set(swan,'UserData',handles);
   
   if a(2)~=2
%       he=figure('Name','Error','Units','Centimeters','Position',...
%       [10 8 18 4],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95]);
% %       uicontrol('Parent',he,'Style','text','String','Please enter the bottom profile in the correct order','Units','Centimeters','Position',[0.05 3.2 0.8 0.6]);
      msgbox('This is not a correct bottom profile');
      cd(aaa)
%       winontop(he)
      handles.input.btmprofile.error=1;
   else
       plot(bottomprofile(:,1),bottomprofile(:,2)),grid
       handles.input.btmprofile.error=0;
       set(handles.swan1d.menu.input.outputlocations,'Enable','On')
       
       % Set handles to 'Userdata' property
       set(swan,'UserData',handles);
   end
else
    he=figure('Name','Error','Units','Centimeters','Position',...
    [10 8 8 4],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95]);
    uicontrol('Parent',he,'Style','text','String','No File with the Given Name Found!!!!!!!..........','Units','Centimeters','Position',[1 1.9 6 0.6]);
    cd(aaa)
    winontop(he)
    handles.input.btmprofile.error=1;
end
cd(aaa)
end

