function read_defcurrent_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

[name,foldername,a]=uigetfile('*.txt');
if name~=0
    set(handles.figures.currentprofile.edit2,'String',name);
end
cd(foldername)
fid=fopen(name);
exist(name,'file')
if exist(name,'file')==2
    currentprofile=load(name);
    a=size(currentprofile);
    handles.input.currentprofile.currentprofile=currentprofile;
    handles.input.currentprofile.name=name;
    handles.input.currentprofile.error=0;
    set(swan,'UserData',handles);
   if a(2)~=3
      he=figure('Name','Error','Units','Centimeters','Position',...
      [10 8 8 4],'Menubar','none','Numbertitle','Off','Color',[1 0.7 0]);
      uicontrol('Parent',he,'Style','text','String','Please enter the current profile in the correct order',...
          'Units','Centimeters','Position',[1 1 6.3 2],'FontSize',9,'FontWeight','bold','BackGroundColor',[1 0.7 0]);
      uicontrol(he,'style','pushbutton','Units','centimeters',...
              'Position',[3.3 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
      handles.input.definecurrent.error=1;
      winontop(he)
   else
       plot(handles.figures.currentprofile.currentaxes,currentprofile(:,1),currentprofile(:,2)),grid
       xlabel('Distance(m)');
       ylabel('U(m/s)');
       handles.input.currentprofile.error=0;
   end
else
    he=figure('Name','Error','Units','Centimeters','Position',...
    [10 8 8 4],'Menubar','none','Numbertitle','Off','Color',[1 0.7 0]);
    uicontrol('Parent',he,'Style','text','String','No File with the Given Name Found!...',...
        'Units','Centimeters','Position',[1 1 6.3 2],'Fontsize',10,'FontWeight','bold','BackGroundColor',[1 0.7 0]);
    uicontrol(he,'style','pushbutton','Units','centimeters',...
              'Position',[3.3 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
    handles.input.currentprofile.error=1;
    winontop(he)
end

% Set handles to 'Userdata' property
set(swan,'UserData',handles)

end
