function read_file_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

name=get(handles.figures.bottomprofile.edit1,'String');
fid=fopen(name);
if exist(name,'file')==1
   bottomprofile=load(name);
   set(handles.figures.bottomprofile.pushbutton1,'UserData',bottomprofile)
   a=size(bottomprofile);
   handles.input.bottomprofile.bathymetry=bottomprofile;
   handles.input.bottomprofile.name=name;
   handles.input.btmprofile.error=0;
   
   % Set handles to 'Userdata' property
   set(swan,'UserData',handles);
   
   if a(2)~=2
      he=figure('Name','Error','Units','Centimeters','Position',...
      [10 8 8 4],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95]);
      uicontrol('Parent',he,'Style','text','String','Please enter the bottom profile in the correct order','Units','Centimeters','Position',[0.05 3.2 0.8 0.6]);
      handles.input.btmprofile.error=1;
   else
       plot(bottomprofile(:,1),bottomprofile(:,2))
       handles.input.btmprofile.error=0;
   end
else
    he=figure('Name','Error','Units','Centimeters','Position',...
    [10 8 8 4],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95]);
    uicontrol('Parent',he,'Style','text','String','No File with the Given Name Found!!!!!!!..........','Units','Centimeters','Position',[1 1.9 6 0.6]);
    handles.input.btmprofile.error=1;
end

% Set handles to 'Userdata' property
set(swan,'UserData',handles)

end

