function save_clbk_str(varargin)

% find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

% current directory
currentdirectory_sp=pwd ;

% existence of file
% if exist(handles.saveproject.fullpathname_sp_extension,'file')==2
% save(handles.saveproject.fullpathname_sp,'-struct','handles') ;
% else
% save_as_clbk_str;
% end

% if the save project exist, save all data, if not open function file
saved = false;
if isfield(handles, 'saveproject')
    if isfield(handles.saveproject, 'fullpathname_sp_extension')
        if exist(handles.saveproject.fullpathname_sp_extension,'file') == 2
            save(handles.saveproject.fullpathname_sp,'-struct','handles','-v7.3');
            saved = true;
        end
    end
end
if ~saved
    save_as_clbk_str % function file
end

% go to SwanOne directory
cd(currentdirectory_sp) ;

% Set handles to 'Userdata' property
% set(swan,'UserData',handles) 
% DO NOT USE, BECAUSE IT WILL NOT SAVE THE SAVE-AS FUNCTION FILE

end