function save_defcurrent_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

error=0;
handles.input.definecurrent.currentvelocity=get(handles.figures.currentprofile.edit1,'String');
handles.input.definecurrent.uistatus1=get(handles.figures.currentprofile.radio1,'Value');
handles.input.definecurrent.uistatus2=get(handles.figures.currentprofile.radio2,'Value');
handles.input.definecurrent.uistatus3=get(handles.figures.currentprofile.radio3,'Value');
handles.input.definecurrent.currentfilename=get(handles.figures.currentprofile.edit2,'String');

if handles.input.definecurrent.uistatus3==1 || handles.input.definecurrent.uistatus1==1
    set(handles.figures.currentprofile.edit1,'String',0);
    handles.input.definecurrent.currentvelocity=0;
end

if handles.input.definecurrent.uistatus3==1
    if isfield(handles.input,'currentprofile')==1
        if isfield(handles.input.currentprofile,'currentprofile')==1
            handles.save.defcurrent=1;
            set(swan,'UserData',handles);
            filename=handles.input.newproject.filename;
            cd('Working Directory')
            save([filename '.' 'mat'],'-struct','handles','-v7.3')
            cd('..')
            set(handles.swan1d.menu.input.m,'Enable','On');
            set(handles.swan1d.menu.file.m,'Enable','On');
            set(handles.swan1d.menu.computation.m,'Enable','On');
            close(gcbf)
        else
            error=1;
            he=figure('Name','Error','Units','Centimeters','Position',...
                   [10 9 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
            uicontrol('Parent',he,'Style','text','String',...
                 'Load the Current Profile ,or SWAN will not start computation!',...
                 'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold','BackGroundColor',[1 0.7 0]);
            uicontrol(he,'style','pushbutton','Units','centimeters',...
                 'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
            winontop(he)
            error=1;
        end
    else
        error=1;
        he=figure('Name','Error','Units','Centimeters','Position',...
            [10 9 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
        uicontrol('Parent',he,'Style','text','String',...
                 'Load the Current Profile ,or SWAN will not start computation!',...
                 'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold','BackGroundColor',[1 0.7 0]);
        uicontrol(he,'style','pushbutton','Units','centimeters',...
                 'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
        winontop(he)
        error=1;
    end
end

if error==0
handles.save.defcurrent=1;

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

filename=handles.input.newproject.filename;
cd('Working Directory')
save([filename '.' 'mat'],'-struct','handles','-v7.3')
cd('..')
set(handles.swan1d.menu.input.definecurrents,'CallBack',@def_current_clbk);
set(handles.swan1d.menu.input.m,'Enable','On');
set(handles.swan1d.menu.file.m,'Enable','On');
set(handles.swan1d.menu.computation.m,'Enable','On');
delete(gcbf)
end
end
