function save_outputlocation_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

k=0;
point=zeros(1,8);
handles.input.outputlocation.point=zeros(1,8);
string=zeros(1,8);
for i=1:8
    string(i)=str2num(get(handles.figures.outputlocation.edit(i),'String'));
end

for i=1:8
    if string(i)~=0
        k=k+1;
        point(k)=str2num(get(handles.figures.outputlocation.edit(i),'String'));
        handles.input.outputlocation.point(k)=point(k);
    end
end
if k>0
filename=handles.input.newproject.filename;
ca='''';
fid=fopen(filename,'rt+');
if fid<=0
    fid=fopen([filename '.SWN'],'rt+');
end
s=fscanf(fid,'%c');
ind=strfind(s,'POIN');
fclose(fid);
if ind~=[0]
    fid=fopen(filename,'rt+');
    if fid<=0
        fid=fopen([filename '.SWN'],'rt+');
    end
    s=fscanf(fid,'%c');
    d=length(s);
    ind=strfind(s,'DEPTH SETUP');
    sss=' ';
    for i=(ind+40):d+50
        sss=[sss ' '];
    end
    frewind(fid);
    fseek(fid,(ind+40),'bof');
    fprintf(fid,'%s',sss);
    fclose(fid);
end
        
ca='''';
count=0;
for i=1:8
    if point(i)~=0
        count=count+1;
        if count==1
            fid=fopen(filename,'rt+');
            if fid<=0
                fid=fopen([filename '.SWN'],'rt+');
            end
            s=fscanf(fid,'%c');
            ind=strfind(s,'DEPTH SETUP');
            fseek(fid,ind+50,'bof');
            fprintf(fid,'%s\n',['POIN ' ca 'S' num2str(i-1) ca num2str(point(i)) ' .00 ' ]);
            fprintf(fid,'%s\n',['SPEC ' ca 'S'  num2str(i-1) ca ' SPEC1D ABS ' ca filename '_point' num2str(i) '.sp1' ca]);
            fprintf(fid,'%s\n',['SPEC ' ca 'S'  num2str(i-1) ca ' SPEC2D ABS ' ca filename '_point' num2str(i) '.sp2' ca]);
        else
            fprintf(fid,'%s\n',['POIN ' ca 'S' num2str(i-1) ca num2str(point(i)) ' .00 ']);
            fprintf(fid,'%s\n',['SPEC ' ca 'S'  num2str(i-1) ca ' SPEC1D ABS ' ca filename '_point' num2str(i) '.sp1' ca]);
            fprintf(fid,'%s\n',['SPEC ' ca 'S'  num2str(i-1) ca ' SPEC2D ABS ' ca filename '_point' num2str(i) '.sp2' ca]);
        end            
    end
end

fprintf(fid,'%s\n','TEST 0 0         ');
fprintf(fid,'%s\n','COMPUTE');
fprintf(fid,'%s\n','STOP');
fclose(fid);
cd('Working Directory')
save([filename '.' 'mat'],'-struct','handles','-v7.3')
cd('..')
set(handles.swan1d.menu.input.m,'Enable','On');
set(handles.swan1d.menu.file.m,'Enable','On');
set(handles.swan1d.menu.computation.m,'Enable','On');
set(handles.swan1d.menu.input.outputlocations,'CallBack',@output_location_clbk);
handles.save.outputlocation=1;

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

delete(gcbf)
else
    he=figure('Name','Error','Units','Centimeters','Position',...
      [10 8 8 4],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
         winontop(he);
      uicontrol('Parent',he,'Style','text','String','Enter at least one Output location!',...
          'Units','Centimeters','Position',[1.55 0.6 5 2],'BackGroundColor',[1 0.7 0],'FontWeight','Bold');
      uicontrol('style','pushbutton','Units','centimeters','Position',[2.8 0.6 2.5 0.7],...
    'String','Ok','Callback','close','BackGroundColor',[0.95 0.95 0.95]);
end






